apiVersion: yaook.cloud/v1
kind: GlanceDeployment
metadata:
  name: glance
  namespace: yaook
spec:
  keystoneRef:
    name: keystone
  database:
    replicas: 3
    proxy:
      replicas: 3
    backup:
      schedule: "0 * * * *"
    storageClassName: csi-driver-lvm-linear
    storageSize: 20Gi
    mysqlConfig:
      mysqld:
        max_allowed_packet: 256M
        max_connections: 4096
        max_heap_table_size: 64M
        expire_logs_days: 2
  memcached: {}
  api:
    replicas: 3
    ingress:
      fqdn: "{{ fqdn_glance }}"
      port: 443
      #externalCertificateSecretRef:
      #  name: image-api-external-certificate
  glanceConfig:
    DEFAULT:
      image_size_cap: 26843545600  # 25 GiB (e.g., ubuntu-capi-image images are 20 GiB big)
      workers: 8
    oslo_messaging_notifications:
      driver:
      - messagingv2
    oslo_messaging_rabbit:
      # https://docs.openstack.org/nova/zed/configuration/config.html#oslo-messaging-rabbit
      # rabbit_quorum_queue is true by default in Yaook
      heartbeat_in_pthread: false
      heartbeat_rate: 3  # https://review.opendev.org/c/openstack/oslo.messaging/+/875615
      amqp_durable_queues: true
      rabbit_quorum_queue: true
      ssl: true
      ssl_ca_file: /etc/pki/tls/certs/ca-bundle.crt
    glance_store:
      default_store: "rbd"
    image_format:
      disk_formats: ["raw", "qcow2"]
  backends:
    ceph:
      keyringReference: rook-ceph-client-a.glance
      keyringUsername: a.glance
      keyringPoolname: a.images
      cephConfig:
        global:
          "mon_host": "{% for ip in ceph_monitors %}{% if ':' in ip %}[{{ ip }}]:6789{% else %}{{ ip }}:6789{% endif %}{% if not loop.last %},{% endif %}{% endfor %}"
  region:
    name: {{ region_name }}
  issuerRef:
    name: ca-issuer
  targetRelease: {{ glance_targetRelease }}

